Radiohead___'s blog

By Radiohead___, history, 20 months ago, In English

hi everyone, I hope all of you doing well, I need help with this problem with proof for the solution to understand all the details plz . I was trying to play with the binary representation of the numbers because of the very large constrains of ai but i didn't reach for any valid solution. https://codeforces.me/edu/course/2/lesson/9/2/practice/contest/307093/problem/G

  • Vote: I like it
  • 0
  • Vote: I do not like it

| Write comment?
»
20 months ago, hide # |
← Rev. 3  
Vote: I like it 0 Vote: I do not like it

.

»
20 months ago, hide # |
← Rev. 2  
Vote: I like it +1 Vote: I do not like it

Notice that $$$gcd[l,r] \geq gcd[l,r+1]$$$, therefore you could binary search the answer by fixing $$$l$$$ and using some range data structure like segment tree or sparse table.